cmd = UI::Command.new("Shaded") {
  Sketchup.active_model.rendering_options["RenderMode"] = 2
  Sketchup.active_model.rendering_options["Texture"] = false
}
cmd.tooltip = "Shaded"
cmd.status_bar_text = "Shaded"
cmd.menu_text = "Shaded"
cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["RenderMode"] == 2 and Sketchup.active_model.rendering_options["Texture"] == false
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd = cmd
