cmd = UI::Command.new("Textured") {
  Sketchup.active_model.rendering_options["RenderMode"] = 2
  Sketchup.active_model.rendering_options["Texture"] = true
}
cmd.tooltip = "Textured"
cmd.status_bar_text = "Textured"
cmd.menu_text = "Textured"
cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["RenderMode"] == 2 and Sketchup.active_model.rendering_options["Texture"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd = cmd
