def self.toggleDepthQue
  @t = Time.now
  opts = Sketchup.active_model.rendering_options
  len = opts["DepthQueWidth"]
  state = opts["DrawDepthQue"]
  if @l
    if @t - @l < 0.3
      opts["DrawDepthQue"] = true
      ret = inputbox ["New Width:"], [len], "Change Depth Cue Width" 
      return unless ret
      opts["DepthQueWidth"] = ret[0]
      return
    end
  end
  opts["DrawDepthQue"] = ! state
  @l = @t
end
@cmd = UI::Command.new("DepthCue") {
  #Sketchup.active_model.rendering_options["DrawDepthQue"] = !Sketchup.active_model.rendering_options["DrawDepthQue"]
  toggleDepthQue
}
@cmd.tooltip = "Display DepthCue"
@cmd.status_bar_text  = "Display DepthCue"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["DrawDepthQue"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
