@cmd = UI::Command.new("Display Edges") {
  if Sketchup.active_model.rendering_options["EdgeDisplayMode"] == 0
    Sketchup.active_model.rendering_options["EdgeDisplayMode"] = 1
  else
    Sketchup.active_model.rendering_options["EdgeDisplayMode"] = 0
  end
}
@cmd.tooltip = "Display Edges"
@cmd.status_bar_text = "Display Edges"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["EdgeDisplayMode"] == 0
    MF_UNCHECKED
  else
    MF_CHECKED
  end
}
@cmd
