def self.toolbar_explode
  ss = Sketchup.active_model.selection
  Sketchup.active_model.start_operation "ungroup"
  ss.each do |s|
    if s.respond_to? "explode"
      ents = s.explode
      ents = ents.select {|e| e.is_a? Sketchup::Drawingelement}
      ss.add ents
    end
  end
  Sketchup.active_model.commit_operation
end

@cmd = UI::Command.new("Explode") { toolbar_explode }
@cmd.tooltip = @cmd.status_bar_text = "Ungroup"

@cmd.set_validation_proc {
  ss = Sketchup.active_model.selection
  unless ss.length > 0
    st = MF_GRAYED
  end
  ss = ss.select {|s| s.respond_to? "explode"}
  if ss.length > 0
    st = MF_ENABLED
  else
    st = MF_GRAYED
  end
  st
}
@cmd
