def self.centerSelection
  ss = Sketchup.active_model.selection
  bb = Geom::BoundingBox.new
  if ss.length > 0
    ss.each {|s| bb.add s.bounds }
  else
    bb = Sketchup.active_model.bounds
  end
  center = bb.center
  camera = Sketchup.active_model.active_view.camera
  vec = camera.target - center
  eye = camera.eye
  target = camera.target - vec
  camera.set eye, target, [0, 0, 1]
end
@cmd = UI::Command.new("Center") { centerSelection }
@cmd.tooltip = "Center Selected"
@cmd.status_bar_text = "Center Selection"
@cmd
