@cmd = UI::Command.new("Hide Rest") {
  Sketchup.active_model.rendering_options["InactiveHidden"] = !Sketchup.active_model.rendering_options["InactiveHidden"]
}
@cmd.tooltip = "Hide Rest of Model"
@cmd.status_bar_text  = "Hide Rest of Model"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["InactiveHidden"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
