@cmd = UI::Command.new("Edge Color: Axis") do
  ro = Sketchup.active_model.rendering_options
  ecm = ro["EdgeColorMode"]
  if ecm != 2
    ecm = 2
    Sketchup.set_status_text "Egde Color Mode: by Axis"
  else
    ecm = 1
    Sketchup.set_status_text "Egde Color Mode: Default"
  end
  ro["EdgeColorMode"] = ecm
end
@cmd.tooltip = "Edge Color by Axis"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["EdgeColorMode"] == 2
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd

