@cmd = UI::Command.new("Color By Layer") {
  Sketchup.active_model.rendering_options["DisplayColorByLayer"] = !Sketchup.active_model.rendering_options["DisplayColorByLayer"]
}
img = File.basename(__FILE__, ".rb")
@cmd.tooltip = "Toggle ColorByLayer"
@cmd.status_bar_text  = "Toggle ColorByLayer"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["DisplayColorByLayer"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
