def self.toggleEndPoints
  @t = Time.now
  opts = Sketchup.active_model.rendering_options
  len = opts["LineEndWidth"]
  state = opts["DrawLineEnds"]
  if @l
    if @t - @l < 0.3
      opts["DrawLineEnds"] = true
      ret = inputbox ["New Width:"], [len], "Change Line End Width" 
      return unless ret
      opts["LineEndWidth"] = ret[0]
      return
    end
  end
  opts["DrawLineEnds"] = ! state
  @l = @t
end
@cmd = UI::Command.new("EndPoints") {
  #Sketchup.active_model.rendering_options["DrawLineEnds"] = !Sketchup.active_model.rendering_options["DrawLineEnds"]
  toggleEndPoints
}
@cmd.tooltip = "Display EndPoints"
@cmd.status_bar_text  = "Display EndPoints"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["DrawLineEnds"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
