def self.toggleFog
  @t = Time.now
  ro  = Sketchup.active_model.rendering_options
  fog = ro["DisplayFog"]
  if @l
    if @t - @l < 0.3
      Sketchup.send_action 21406
      ro["DisplayFog"] = true
      return
    end
  end
  ro["DisplayFog"] = ! ro["DisplayFog"]
  @l = @t
end

@cmd = UI::Command.new("Fog") { toggleFog }
img = File.basename(__FILE__, ".rb")
@cmd.tooltip = @cmd.status_bar_text = "Display Fog"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["DisplayFog"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
