@cmd = UI::Command.new("Hide Guides") {
  Sketchup.active_model.rendering_options["HideConstructionGeometry"] = !Sketchup.active_model.rendering_options["HideConstructionGeometry"]
}
fn = File.basename(__FILE__, ".rb")
@cmd.tooltip = @cmd.status_bar_text = "Display Construction Geometry"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["HideConstructionGeometry"] == false 
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
