@cmd = UI::Command.new("Toggle Hidden") {
  Sketchup.send_action "viewShowHidden:"
}
@cmd.tooltip = "Show Hidden Geometry"
@cmd.status_bar_text = "Show Hidden Geometry"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["DrawHidden"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
