@cmd = UI::Command.new("Edge Color: Material") do
  ro = Sketchup.active_model.rendering_options
  ecm = ro["EdgeColorMode"]
  if ecm != 0
    ecm = 0
    Sketchup.set_status_text "Egde Color Mode: by Material"
  else
    ecm = 1
    Sketchup.set_status_text "Egde Color Mode: Default"
  end
  ro["EdgeColorMode"] = ecm
end
img = File.basename(__FILE__, ".rb")
@cmd.tooltip = "Edge Color by Material"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["EdgeColorMode"] == 0
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd

