def self.toggleProfiles
  @t = Time.now
  opts = Sketchup.active_model.rendering_options
  len = opts["SilhouetteWidth"]
  state = opts["DrawSilhouettes"]
  if @l
    if @t - @l < 0.3
      opts["DrawSilhouettes"] = true
      ret = inputbox ["New width:"], [len], "Change Profile Width" 
      return unless ret
      opts["SilhouetteWidth"] = ret[0]
      return
    end
  end
  opts["DrawSilhouettes"] = ! state
  @l = @t
end
@cmd = UI::Command.new("Profiles") {
  #Sketchup.active_model.rendering_options["DrawSilhouettes"] = !Sketchup.active_model.rendering_options["DrawSilhouettes"]
  toggleProfiles
}
@cmd.tooltip = "Display Profiles"
@cmd.status_bar_text  = "Display Profiles"
@cmd.set_validation_proc {
  if Sketchup.active_model.rendering_options["DrawSilhouettes"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd
