@cmd = UI::Command.new("Toggle Instance Axes") do
  ro = Sketchup.active_model.rendering_options
  ro["DisplayInstanceAxes"] = !ro["DisplayInstanceAxes"]
end
@cmd.tooltip = "Toggle Instance Axes"
@cmd.set_validation_proc {# axisedge_validation_proc }
  if Sketchup.active_model.rendering_options["DisplayInstanceAxes"] == true
    MF_CHECKED
  else
    MF_UNCHECKED
  end
}
@cmd

