cmd = UI::Command.new("CameraZoom") {
  if Sketchup.active_model.selection.length <= 0
    Sketchup.send_action "viewZoomExtents:" 
  else
    Sketchup.send_action "selectionZoomExt:"
  end
}
cmd.tooltip = "Zoom Selection/Extents"
cmd.status_bar_text = "Zoom to selection, or model Extents if no selection."
cmd.menu_text = "Zoom Extents"
#cmd.set_validation_proc { tool_validation_proc("CameraZoomWindowTool") }
@cmd = cmd
